| pktools 2.6.7 Processing Kernel for geospatial data

Public Member Functions | List of all members
LastReturnFilter Class Reference
Inheritance diagram for LastReturnFilter:
[legend]
Collaboration diagram for LastReturnFilter:
[legend]

## Public Member Functions
bool | filter (const liblas::Point &point)

## Detailed Description

Definition at line 28 of file FileReaderLas.h.

## Constructor & Destructor Documentation

## ◆ LastReturnFilter()

LastReturnFilter::LastReturnFilter | ( |  | ) |

Definition at line 25 of file FileReaderLas.cc.

25: liblas::FilterI(eInclusion) {}

## Member Function Documentation

## ◆ filter()

bool LastReturnFilter::filter | ( | const liblas::Point & | point | ) |

Definition at line 27 of file FileReaderLas.cc.

28{
29
30 // If the GetReturnNumber equals the GetNumberOfReturns,
31 // we're a last return
32
33 bool output = false;
34 if (p.GetReturnNumber() == p.GetNumberOfReturns())
35 {
36 output = true;
37 }
38
39 // If the type is switched to eExclusion, we'll throw out all last returns.
40 if (GetType() == eExclusion && output == true)
41 {
42 output = false;
43 } else {
44 output = true;
45 }
46 return output;
47}

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.NvCr9x/build_pktools/PKTOOLS-2.6.7.6/src/lasclasses/FileReaderLas.h
- /tmp/slackdce/slackrepo.NvCr9x/build_pktools/PKTOOLS-2.6.7.6/src/lasclasses/FileReaderLas.cc